*** Settings ***
Library    String

Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource
Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex1:Un utilisateur ayant créé un compte avec un email et un mot de passe doit pouvoir se connecter avec cet email et ce mot de passe. En cas d'échec d'authentification (email ou mot de passe incorrect), un message d'erreur est affiché


*** Variables ***
@{LISTE_DONNEES_FORM_CREATION}=    ${EMPTY}    123456    jean artin    123456
# liste de données utilisées pour créer un compte: e-mail, password, nom, confirm password
*** Test Cases ***
Ex1-CT01
    #Authentification ok, user avec compte créé et login et mdp valides: saisie manuelle des identifiants
    [Tags]    CT01
    ${Random_Email}=    Common.Create Random Email
    
    ${LISTE_DONNEES_FORM_CREATION}[0]=  Set Variable     ${Random_Email} 
    #on remplace le champ vide par l'email aleatoire qu'on vient de créer
    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageCreateAccount.Créer un compte utilisateur avec email    @{LISTE_DONNEES_FORM_CREATION}
    PageCreateAccount.Acceder a la page loggin - compte créé
    @{Login_data}=    Create List    ${LISTE_DONNEES_FORM_CREATION}[0]    ${LISTE_DONNEES_FORM_CREATION}[1]
    #on récupère l'email et le password associés au compte qu'on vient de créer
    PageLogin.Remplir le formulaire de login    @{Login_data}
    PageLogin.Soumettre le formulaire de Login
    PageAccueil.Valider l'affichage de la page "Accueil" - connecté

Ex1 - CT02-1
# Echec authentification: Email existant et mdp incorrect

    [Tags]    CT02-1

    ${Random_Email}=    Common.Create Random Email
    ${LISTE_DONNEES_FORM_CREATION}[0]=  Set Variable     ${Random_Email} 
    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageCreateAccount.Créer un compte utilisateur avec email    @{LISTE_DONNEES_FORM_CREATION}
    PageCreateAccount.Acceder a la page loggin - compte créé
    @{Login_data}=    Create List    ${LISTE_DONNEES_FORM_CREATION}[0]    1111111
    PageLogin.Remplir le formulaire de login    @{Login_data}
    PageLogin.Soumettre le formulaire de Login
    PageLogin.Vérifier Login KO

Ex1 - CT02-2
# Echec authentification: Email inexistant
    [Tags]    CT02-2
    ${Random_Email}=    Common.Create Random Email
    #on crée un email qui ne sera associé à aucun compte 
    @{Login_data}=    Create List     ${Random_Email}    1111111

    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageAccueil.Cliquer sur "Login"

    PageLogin.Vérifier l'affichage de la page "Login"
    PageLogin.Remplir le formulaire de login    @{Login_data}
    PageLogin.Soumettre le formulaire de Login
    PageLogin.Vérifier Login KO