*** Settings ***
Library    String   
Library    SeleniumLibrary
Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource

Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex4: Affichage message erreur lorsque email vide


*** Variables ***

@{VALEURS_FORMULAIRES_TOUT_OK}=    ""    1234567    jean hartin    1234567


*** Test Cases ***
Ex4-CT01 - Affichage message erreur lorsque email vide
   
    PageAccueil.Cliquer sur "Login"
    Submit Login Form    ${empty}    ${VALEURS_FORMULAIRES_TOUT_OK}[1]
    Verify Error Message    #${EmptyEmailErrorMsg}

*** Keywords ***
Submit Login Form
    [Arguments]    ${email}    ${password}
    Input Text    id=email    ${email}
    Input Text    id=password    ${password}
    Click Element    xpath=//*[@id="root"]/div/div/div/div/form/div[2]/button

Verify Error Message
   
    ${actual_error_msg}=    Get Text    xpath=//*[@id="root"]/div/div/div/div/form/div[1]/div[1]/div
    Should Be Equal As Strings    ${actual_error_msg}    Email address is required    ignore_case=true


    Close Browser





